import { ProFormSelect } from "@ant-design/pro-components";
import React from "react";
import { getTaPackage } from "@/services/taPackage";
import { queryDict } from "@/utils/request";
import { Select } from "antd";

export default (props) => {
  const { cardList } = props;
  const [cardOptions, setCardOptions] = React.useState([]);
  const { Option } = Select;
  React.useEffect(() => {
    getTaPackage({ pageSize: 999 }).then((res) => {
      let packList = [];
      (res.records || []).map((x) => {
        packList[x.packageId] = x.packageName;
      });
      let disabledNum = 0;
      const data = cardList?.map((x) => {
        // const dataNum = record.taMemberCardList.reduce((total, item) => {
        //   return (total += item.leftAmount);
        // }, 0);
        console.log('------xiaofang--->', x?.expireTime < x?.bizDate);
        disabledNum += x.leftAmount;
        return {
          ...x,
          value: x.cardId,
          label: packList[x.packageId],
          //如果是次卡次数等于0就禁用，否则非次卡截至日期小于开卡日期就禁用
          disabled: x.limitUnit == 'order' ? disabledNum == 0 : x?.expireTime < x?.bizDate
        };
      });
      setCardOptions(data);
    });
  }, []);

  return (
    <ProFormSelect
      required
      name="cardId"
      label="选择套餐"
      rules={[{ required: true, message: "请选择套餐" }]}
      options={cardOptions}
    />
  );
};
